Class | RI::ModuleDescription
In: | rdoc/ri/ri_descriptions.rb
Parent: | Description

### Methods

display_name merge_in superclass_string

### Attributes

attributes | [RW] |
class_methods | [RW] |
constants | [RW] |
includes | [RW] |
instance_methods | [RW] |

### Public Instance methods

display_name()

[Source]

    # File rdoc/ri/ri_descriptions.rb, line 103
        def display_name
          "Module"
        end

merge_in(old)

merge in another class desscription into this one

[Source]

    # File rdoc/ri/ri_descriptions.rb, line 89
        def merge_in(old)
          merge(@class_methods, old.class_methods)
          merge(@instance_methods, old.instance_methods)
          merge(@attributes, old.attributes)
          merge(@constants, old.constants)
          merge(@includes, old.includes)
          if @comment.nil? || @comment.empty?
            @comment = old.comment
          else
            @comment << SM::Flow::RULE.new
            @comment.concat old.comment
          end
        end

superclass_string()

the ‘ClassDescription’ subclass overrides this to format up the name of a parent

[Source]

    # File rdoc/ri/ri_descriptions.rb, line 109
        def superclass_string
          nil
        end

[Validate]